@extends('layouts.app')
@section('title','Data Konferensi')
@section('content')
    <section class="section">
        <div class="section-header">
            <h1>Data Konferensi</h1>
            <div class="section-header-breadcrumb">
                <div class="breadcrumb-item">
                    <a href="">Home</a>
                </div>
                <div class="breadcrumb-item active">Data Konferensi</div>
            </div>
        </div>

        <div class="section-body">
            <div class="row mt-4 active" id="tab-semuapengajuan" data-tab-group="mygroup-tab">
                <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#add-modal">Tambah Data</button>
                        <br>
                        <div class="clearfix mb-3"></div>
                        <div class="table-responsive">
                            <table class="table table-striped dataTable" id="table-daftar-konferensi" role="grid">
                                <thead>
                                    <tr style="text-align: center;">
                                    <th>No.</th>
                                    <th>Konferensi</th>
                                    <th>Harga</th>
                                    <th>Aksi</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @php
                                        $no = 1;
                                    @endphp
                                    @foreach($konferensi as $tr)
                                        <tr style="text-align: center;">
                                            <td>{{ $no }}</td>
                                            <td>{{ $tr->nama}}</td>
                                            <td>{{ $tr->harga }}</td>
                                            <td>
                                                <button type="button" class="btn btn-info" data-toggle="modal" data-target="#update-modal{{$tr->id}}">Ubah</button>
                                                <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#delete-modal{{$tr->id}}">Hapus</button>

                                                {{-- Modal Add Workshop --}}
                                                <div class="modal fade" id="add-modal" data-backdrop="false" style="background-color: rgba(0, 0, 0, 0.5);">
                                                    <div class="modal-dialog">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h4 class="modal-title bold">Tambah Konferensi Baru</h4>
                                                            </div>

                                                            <form method="POST" action="{{ route('admin.create_konferensi', ['id' => $tr->id ]) }}" enctype="multipart/form-data">
                                                                @csrf
                                                                <div class="modal-body">
                                                                    <div class="form-group" style="text-align: left">
                                                                        <label for="nama">Nama Konferensi</label>
                                                                        <input type="text" class="form-control" id="nama" name="nama" required @if($errors->has('nama')) has-error @endif>
                                                                        @if ($errors->has('nama'))
                                                                            <label id="login-error" class="error" for="nama" style="color: red">{{$errors->first('nama')}}</label>
                                                                        @endif
                                                                    </div>
                                                                    <div class="form-group" style="text-align: left">
                                                                        <label for="harga">Harga</label>
                                                                        <input type="number" class="form-control" id="harga" name="harga" required @if($errors->has('harga')) has-error @endif>
                                                                        @if($errors->has('harga'))
                                                                            <label id="login-error" class="error" for="harga" style="color: red">{{$errors->first('harga')}}</label>
                                                                        @endif
                                                                    </div>
                                                                </div>
                                                                <div class="modal-footer">
                                                                    <button type="submit" class="btn btn-primary ml-1">Simpan</button>
                                                                    <button type="button" class="btn btn-light-secondary" data-dismiss="modal">Batal</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                                {{-- End of Modal Add Workshop --}}

                                                {{-- Modal Update Workshop --}}
                                                <div class="modal fade" id="update-modal{{$tr->id}}" data-backdrop="false" style="background-color: rgba(0, 0, 0, 0.5);">
                                                    <div class="modal-dialog">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h4 class="modal-title bold">Ubah Konferensi</h4>
                                                            </div>

                                                            <form method="POST" action="{{ route('admin.update_konferensi', ['id' => $tr->id ]) }}" enctype="multipart/form-data">
                                                                @csrf
                                                                @method('put')
                                                                <div class="modal-body">
                                                                    <div class="form-group" style="text-align: left">
                                                                        <label for="nama">Nama Konferensi</label>
                                                                        <input type="text" class="form-control" id="nama" name="nama" value="{{ $tr->nama }}" required @if($errors->has('nama')) has-error @endif>
                                                                        @if ($errors->has('nama'))
                                                                            <label id="login-error" class="error" for="nama" style="color: red">{{$errors->first('nama')}}</label>
                                                                        @endif
                                                                    </div>
                                                                    <div class="form-group" style="text-align: left">
                                                                        <label for="harga">Harga</label>
                                                                        <input type="text" class="form-control" id="harga" name="harga" value="{{ $tr->harga }}" required @if($errors->has('harga')) has-error @endif>
                                                                        @if($errors->has('harga'))
                                                                            <label id="login-error" class="error" for="harga" style="color: red">{{$errors->first('harga')}}</label>
                                                                        @endif
                                                                    </div>
                                                                </div>
                                                                <div class="modal-footer">
                                                                    <button type="submit" class="btn btn-primary ml-1">Simpan</button>
                                                                    <button type="button" class="btn btn-light-secondary" data-dismiss="modal">Batal</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                                {{-- End of Modal Update Workshop --}}

                                                {{-- Modal Delete Workshop --}}
                                                <div class="modal fade" id="delete-modal{{$tr->id}}" data-backdrop="false" style="background-color: rgba(0, 0, 0, 0.5); padding-top:15%;">
                                                    <div class="modal-dialog">
                                                        <div class="modal-content" style="padding-top : 10px">
                                                            <form method="GET" action="{{ route('admin.delete_konferensi', ['id' => $tr->id ]) }}" enctype="multipart/form-data">
                                                                @csrf
                                                                <div class="modal-body" @if ($errors->has('nama')) has-error @endif>
                                                                    <div class="form-group" style="text-align: center">
                                                                        <h5 class="address-title text-center mb-1" id="addNewAddressTitle">Apakah Anda yakin akan menghapus data ini?</h5>
                                                                    </div>
                                                                    <button type="submit" class="btn btn-primary ml-1">Hapus</button>
                                                                    <button type="button" class="btn btn-light-secondary" data-dismiss="modal">Batal</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                                {{-- End of Modal Delete Workshop --}}
                                            </td>
                                        </tr>
                                        @php
                                            $no++;
                                        @endphp
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

@push('js')
    <script>
        $(document).ready(function() {
            $("#table-daftar-konferensi").dataTable();
        });
    </script>
@endpush
